eWallet GO! System Requirements

Last Updated:

The following table lists the system requirements for each platform eWallet GO!® was available for:

Platform: eWallet GO! for Supported Devices
Android Android 2.1 to 4.1
iPhone, iPod touch iOS 4.3 to 6.0
Windows Phone 7 Windows Phone 7.5
Mac Mac OS X 10.7 to 10.8
Windows PC Windows 7 Windows 8 (desktop)

“GO” also depends on the Dropbox’s API v1, which is being deprecated. This means that after June 27, 2017, GO will have no way of doing backup or restores.

Platforms
  • Android
  • ,
  • iPhone
  • ,
  • macOS
  • ,
  • Windows (desktop)
  • ,
  • Windows Phone 7